aboutsummaryrefslogtreecommitdiff
path: root/REORG.TODO/elf/tst-pathopt.sh
diff options
context:
space:
mode:
Diffstat (limited to 'REORG.TODO/elf/tst-pathopt.sh')
-rwxr-xr-xREORG.TODO/elf/tst-pathopt.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/REORG.TODO/elf/tst-pathopt.sh b/REORG.TODO/elf/tst-pathopt.sh
new file mode 100755
index 0000000000..4183a697dc
--- /dev/null
+++ b/REORG.TODO/elf/tst-pathopt.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+# Test lookup path optimization.
+# Copyright (C) 2000-2017 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+
+# You should have received a copy of the GNU Lesser General Public
+# License along with the GNU C Library; if not, see
+# <http://www.gnu.org/licenses/>.
+
+set -e
+
+common_objpfx=$1
+test_wrapper_env=$2
+run_program_env=$3
+
+test -e ${common_objpfx}elf/will-be-empty &&
+ rm -fr ${common_objpfx}elf/will-be-empty
+test -d ${common_objpfx}elf/for-renamed ||
+ mkdir ${common_objpfx}elf/for-renamed
+
+cp ${common_objpfx}elf/pathoptobj.so ${common_objpfx}elf/for-renamed/renamed.so
+
+${test_wrapper_env} \
+${run_program_env} \
+LD_LIBRARY_PATH=${common_objpfx}elf/will-be-empty:${common_objpfx}elf/for-renamed:${common_objpfx}.:${common_objpfx}dlfcn \
+ ${common_objpfx}elf/ld.so ${common_objpfx}elf/tst-pathopt \
+ > ${common_objpfx}elf/tst-pathopt.out
+
+exit $?